ubuntu_quota_smoke_test failed with GCP / Azure

Bug #1777114 reported by Po-Hsu Lin on 2018-06-15
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-kernel-tests
Undecided
Po-Hsu Lin

Bug Description

The ubuntu_quota_smoke test will fail on GCP 4.13 kernel on Xenial.

$ sudo ./ubuntu_quota_smoke_test.sh

Using block device /dev/loop0 for path /home/jenkins/autotest-client-tests/ubuntu_quota_smoke_test/mnt
PASSED (quotacheck -vucmg)

quotaon: using /home/jenkins/autotest-client-tests/ubuntu_quota_smoke_test/mnt/aquota.group on /dev/loop0 [/home/jenkins/autotest-client-tests/ubuntu_quota_smoke_test/mnt]: No such process
quotaon: Quota format not supported in kernel.
quotaon: using /home/jenkins/autotest-client-tests/ubuntu_quota_smoke_test/mnt/aquota.user on /dev/loop0 [/home/jenkins/autotest-client-tests/ubuntu_quota_smoke_test/mnt]: No such process
quotaon: Quota format not supported in kernel.
FAILED (quotaon -v)

Summary: 1 passed, 1 failed

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: linux-image-4.13.0-1020-gcp 4.13.0-1020.24
ProcVersionSignature: Ubuntu 4.13.0-1020.24-gcp 4.13.16
Uname: Linux 4.13.0-1020-gcp x86_64
ApportVersion: 2.20.1-0ubuntu2.18
Architecture: amd64
Date: Fri Jun 15 10:55:05 2018
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: linux-gcp
UpgradeStatus: No upgrade log present (probably fresh install)

Po-Hsu Lin (cypressyew) wrote :
Po-Hsu Lin (cypressyew) wrote :

With linux-image-extra-4.13.0-1020-gcp installed, all 9 tests will pass here:

$ sudo ./ubuntu_quota_smoke_test.sh

Using block device /dev/loop0 for path /home/jenkins/autotest-client-tests/ubuntu_quota_smoke_test/mnt
PASSED (quotacheck -vucmg)

/dev/loop0 [/home/jenkins/autotest-client-tests/ubuntu_quota_smoke_test/mnt]: group quotas turned on
/dev/loop0 [/home/jenkins/autotest-client-tests/ubuntu_quota_smoke_test/mnt]: user quotas turned on
PASSED (quotaon -v)

Kernel quota version: 6.5.1
Number of dquot lookups: 0
Number of dquot drops: 0
Number of dquot reads: 0
Number of dquot writes: 0
Number of quotafile syncs: 22
Number of dquot cache hits: 0
Number of allocated dquots: 0
Number of free dquots: 0
Number of in use dquot entries (user/group): 0
PASSED (quotastats)

PASSED (setquota -u root 10000 12000 1000 1200 /home/jenkins/autotest-client-tests/ubuntu_quota_smoke_test/mnt)

PASSED (setquota -u -t 6000 6000 /home/jenkins/autotest-client-tests/ubuntu_quota_smoke_test/mnt)

setquota: Not setting block grace time on /dev/loop0 because softlimit is not exceeded.
setquota: Not setting inode grace time on /dev/loop0 because softlimit is not exceeded.
PASSED (setquota -u -T root 1 1 /home/jenkins/autotest-client-tests/ubuntu_quota_smoke_test/mnt)

*** Report for user quotas on device /dev/loop0
Block grace time: 01:40; Inode grace time: 01:40
                        Block limits File limits
User used soft hard grace used soft hard grace
----------------------------------------------------------------------
root -- 20 10000 11000 3 1000 1100

PASSED (repquota -a)

PASSED (warnquota -u)

/dev/loop0 [/home/jenkins/autotest-client-tests/ubuntu_quota_smoke_test/mnt]: group quotas turned off
/dev/loop0 [/home/jenkins/autotest-client-tests/ubuntu_quota_smoke_test/mnt]: user quotas turned off
PASSED (quotaoff -v)

Summary: 9 passed, 0 failed

Po-Hsu Lin (cypressyew) on 2018-06-20
summary: - ubuntu_quota_smoke_test failed with GCP 4.13
+ ubuntu_quota_smoke_test failed with GCP / Azure
Changed in ubuntu-kernel-tests:
assignee: nobody → Po-Hsu Lin (cypressyew)
no longer affects: linux-gcp (Ubuntu)
Changed in ubuntu-kernel-tests:
status: New → In Progress
Po-Hsu Lin (cypressyew) wrote :

For all of the cloud kernels:

AWS: no -extra package available
GCP 4.13: linux-image-extra-4.13.0-1019-gcp
GCP 4.15: no -extra package available, but linux-modules-extra-4.15.0-1010-gcp
Azure: linux-image-extra-4.13.0-1018-azure
Azure-edge: linux-image-extra-4.15.0-1005-azure-edge

Po-Hsu Lin (cypressyew) wrote :

Waiting for the meta package, so that we can ask the SUT to get the -extra package more easily.

Po-Hsu Lin (cypressyew) on 2018-07-20
summary: - ubuntu_quota_smoke_test failed with GCP / Azure
+ ubuntu_quota_smoke_test failed with GCP / Azure / KVM

This should be disabled for KVM kenrel, patch sent.

summary: - ubuntu_quota_smoke_test failed with GCP / Azure / KVM
+ ubuntu_quota_smoke_test failed with GCP / Azure
Po-Hsu Lin (cypressyew) wrote :

This issue has now been fixed by pulling the corresponding package for these two clouds.

http://kernel.ubuntu.com/git/ubuntu/autotest-client-tests.git/commit/?id=523ab3c40839c3d1350c95ec522a9440df81f96a

For KVM kernel, it looks like this is a valid bug, please refere to https://bugs.launchpad.net/ubuntu-kernel-tests/+bug/1784535

Changed in ubuntu-kernel-tests:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers